## Get item attributes

### cURL

```
curl --request GET \
  --url https://live.copilot.fabric.inc/api-product/v1/product/attribute \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'
```

### Python

```
import requests

url = "https://live.copilot.fabric.inc/api-product/v1/product/attribute"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://live.copilot.fabric.inc/api-product/v1/product/attribute', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Examples

#### Success (200)
```
{
  "totalSize": 100,
  "pageSize": 10,
  "pages": 10,
  "attributes": [
    {
      "id": "619a8ba6f1875f6dbcaf0521",
      "name": "notes",
      "description": "Notes for this particular category.",
      "type": "TEXT",
      "value": "Unable to fulfill demand.",
      "mapping": "description"
    }
  ]
}
```

#### Client Error (400)
```
{
  "code": 400,
  "message": "Client error"
}
```

#### Internal Server Error (500)
```
{
  "code": 500,
  "message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}
```

### Authorizations

**Authorization**  
`string`  
**header**  
**required**  
S2S access token (JWT) from fabric Identity service (during Login)

### Headers

**x-site-context**  
`string`  
**required**  
The `x-site-context` header is a JSON object that contains information about the source you wish to pull from. The mandatory `account` is the 24 character identifier found in Copilot. The `channel` (Sales channel ID), `stage` (environment name), and `date` attributes can be used to further narrow the scope of your data source.

Example:
```
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
```

### Query Parameters

**sku**  
`string`  
Stock Keeping Unit (SKU) of item.  
Note: If omitted `itemId` becomes mandatory.

Example:
"MOBO-1024"

**itemId**  
`number`  
Item ID.  
Note: If omitted `sku` becomes mandatory.

Example:
"3"

### Response

**Success (200)**  
**application/json**  
**OK**  
Attribute page object

**totalSize**  
`number`  
Total number of records (item attributes)

Example:
`100`

**pageSize**  
`number`  
Number of records (item attributes) in a page

Example:
`10`

**pages**  
`number`  
Number of pages for the given `pageSize`

Example:
`10`

**attributes**  
`object[]`  
Attributes details
